Get Locate
GET/v1/accounts/{account_id}/locates/{id}
Beta — this endpoint may change before general availability.
Fetch one locate by id, matched against the locate request id, locate id, and client request id, across all days in force.
Get Locate
curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/locates/$ID \
-H "Authorization: Bearer $API_KEY"{
"metadata": {
"request_id": "request_id",
"next_page_token": "U3RhaW5sZXNzIHJvY2tz",
"page_number": 1,
"previous_page_token": "U3RhaW5sZXNzIHJvY2tz",
"total_items": 42,
"total_pages": 5
},
"error": {
"code": 400,
"message": "Order quantity must be greater than zero",
"details": [
{
"foo": "bar"
}
]
},
"data": {
"account_id": 0,
"client_request_id": "client_request_id",
"effective_date": "2019-12-27",
"instrument_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"locate_request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"requested_quantity": 0,
"status": "REQUESTED",
"locate_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"quantity": 0,
"related_order_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"reserved_quantity": 0,
"used_quantity": 0
}
}Returns Examples
{
"metadata": {
"request_id": "request_id",
"next_page_token": "U3RhaW5sZXNzIHJvY2tz",
"page_number": 1,
"previous_page_token": "U3RhaW5sZXNzIHJvY2tz",
"total_items": 42,
"total_pages": 5
},
"error": {
"code": 400,
"message": "Order quantity must be greater than zero",
"details": [
{
"foo": "bar"
}
]
},
"data": {
"account_id": 0,
"client_request_id": "client_request_id",
"effective_date": "2019-12-27",
"instrument_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"locate_request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"requested_quantity": 0,
"status": "REQUESTED",
"locate_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"quantity": 0,
"related_order_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"reserved_quantity": 0,
"used_quantity": 0
}
}